#include <cstdio>
using namespace std;
int main()
{
    int n;
    while(~scanf("%d",&n))
    {
        int ans=1;
        for(int i=1;i<n;i++)
            ans=((ans+1)<<1);
        printf("%d\n",ans);
    }
    return 0;
}
